<!DOCTYPE html>
<html>
<head>
<title>How to make an AJAX Call in JavaScript using Fetch API with
    Example</title>
<link rel='stylesheet' href='style.css' type='text/css' />
<link rel='stylesheet' href='form.css' type='text/css' />
<style>
#loader-icon {
    display: none;
}
</style>
</head>
<body>
    <div class="phppot-container">
        <h1>How to make an AJAX Call in JavaScript using Fetch</h1>
        <p>This example uses core JavaScript's Fetch API to make an AJAX
            call.</p>
        <p>JavaScript's Fetch API is a good alternative for
            XMLHttpRequest. No dependency or libraries! It has wide
            support with all major browsers.</p>
        <div class="row">
            <button onclick="fetchDocument()">AJAX Call with Fetch</button>

            <div id="loader-icon">
                <img src="loader.gif" />
            </div>
        </div>
        <div id='ajax-example'></div>

        <script>

        async function fetchDocument() {
            let response = await fetch('ajax-example.txt');
            document.getElementById("loader-icon").style.display = 'inline-block';
            console.log(response.status);
            console.log(response.statusText);
            if (response.status === 200) {
                document.getElementById("loader-icon").style.display = 'none';
                let data = await response.text();
                document.getElementById("ajax-example").innerHTML = data;
            }
        }
</script>

</body>
</html>
