<!DOCTYPE html>
<html>
<head>
<title>How to make an AJAX Call in JavaScript with Example</title>
<link rel='stylesheet' href='style.css' type='text/css' />
<link rel='stylesheet' href='form.css' type='text/css' />
<style>
#loader-icon {
    display: none;
}
</style>
</head>
<body>
    <div class="phppot-container">
        <h1>How to make an AJAX Call in JavaScript</h1>
        <p>This example uses plain JavaScript to make an AJAX call.</p>
        <p>It uses good old JavaScript's XMLHttpRequest. No dependency
            or libraries!</p>
        <div class="row">
            <button onclick="loadDocument()">AJAX Call</button>

            <div id="loader-icon">
                <img src="loader.gif" />
            </div>
        </div>
        <div id='ajax-example'></div>
        <script>
    function loadDocument() {
        document.getElementById("loader-icon").style.display = 'inline-block';
        var xmlHttpRequest = new XMLHttpRequest();
        xmlHttpRequest.onreadystatechange = function() {
            if (xmlHttpRequest.readyState == XMLHttpRequest.DONE) {
               document.getElementById("loader-icon").style.display = 'none';
               if (xmlHttpRequest.status == 200) {
                   // on success get the response text and
                   // insert it into the ajax-example DIV id.
                   document.getElementById("ajax-example").innerHTML = xmlHttpRequest.responseText;
               }
               else if (xmlHttpRequest.status == 400) {
                   // unable to load the document
                  alert('Status 400 error - unable to load the document.');
               }
               else {
                   alert('Unexpected error!');
               }
            }
        };
        xmlHttpRequest.open("GET", "ajax-example.txt", true);
        xmlHttpRequest.send();
    }
</script>

</body>
</html>